#!/bin/ash
# MntFilesLst-01-ls-txt.sh #
# Create an index of the files on each mounted drive
# using ls, not locate, so the files db's can be read as text files.
# Included as an extra, for the user's convenience.
# musher0, Febr. 16-17 & 19 2015.
####
# set -xe # variables
a="`mount | awk '$3 ~ /mnt\/sd/ { print $3 }' | sort | wc -l`"
real="`mount | grep dev_save | awk '{ print $1 }' | awk -F"/" '{ print $3 }'`"

# warning
echo -e "\e[1;36;40m\n\t       Please be patient, this takes a while."
echo -e "\t\t$a files lists are being (re)created.\n\n"

# indexing
for i in `mount | awk '$3 ~ /mnt\/sd/ { print $3 }' | sort`
do
	cd $i;ls -AshxR $i > $i/files-${i:5:4}.lst # index proper
	[ -f files-${i:5:4}.lst ] || ln -r -s -f files-${i:5:4}.lst /root/my-applications/SLocate
# The above line added to make searching easier afterwards using
# grep. They being symbolic links, your partitions will have to
# be left mounted.
	echo -e "\e[1A\e[1;33m\t\t      The index on $i  "
	echo -e "\t\t         has been created.    \n"
done

cd /mnt/home;ls -AshxR . > files-home.lst
[ -f files-home.lst ] || ln -r -s -f files-home.lst /root/my-applications/SLocate
#
[ -f files-$real.lst ] || ln -r -s -f files-$real.lst /root/my-applications/SLocate
# The latter symlink will be flagged as an error in your ROX folder.
# Please do not erase it. It's a copy of the current "home" partition
# index, but meant for future use, if and when you'll be using a 
# Puppy "homed" on another drive. This way, you won't have to re-index
# the contents of the partition. At that time, it's the files-home.lst
# file which will show an error flag instead of this file.
#
echo -e "\e[3A\t\t      The index on /mnt/home  "
echo -e "\t\t         has been created.\n"

# closing
echo -e "\e[1;36m\t\t\t    Finished!\e[1;0m"
sleep 3s
echo -e "\t\t     Hit 'Return' key to exit."
read
# set +xe
