#!/bin/ash
# ash is used because of it is +/- 50 % faster than bash.
# Filename: $SLOC/auto-updatedb-slocate.sh, # with link in /root/Startup.
# Purpose: update the slocate database at every x interval of time.
#
# Thanks to French member Médor for having found the "while" time loop
# below, and to member Uten for the 'nice' :-) tip. 
#
# musher0, 12 & 19 Febr. 2015
####
SLOC="/root/my-applications/SLocate" # variable
sleep 4m # With this line, all the slocate db's will be 
# updated exactly 4 minutes after your Puppy session has 
# started. After that, they'll be updated at the interval 
# you un-commented (see below, lines 27 to 33).

while [ 1 ]; do # This script updates all the slocate db's'
# in the background, without imposing on your use of the computer.
	ionice -c 3 nice -n 19 $SLOC/Slocate-updt-all-no-text.sh &
# ionice, etc. is from K. Lindsay's original /etc/cron.daily/slocate

# We can take the opportunity to add here any number of commands
# that we want executed periodically in the background.
	sync;echo 3 > /proc/sys/vm/drop_caches;wait
# The above cleans the RAM caches and frees up RAM.

# Uncomment ONLY ONE LINE BELOW corresponding to your use (time interval).
# sleep 20m # every 20 minutes 
# sleep 30m # every 30 minutes
# sleep 45m # every 45 minutes
# sleep 1h # every hour
sleep 90m # every hour and a half
# sleep 2h # every 2 hours
# sleep 3h # every 3 hours.
done

# Derived from : auto_clean_mem, by Médor, 2015-02-08. Source :
# http://murga-linux.com/puppy/viewtopic.php?p=826916&sort=lastpost#826916
# Retrieved 09.02.2015 13:43:49.
#
# Also thanks to Uten for his post at:
# http://murga-linux.com/puppy/viewtopic.php?p=828580&sort=lastpost#828580
# Retrieved 19.02.2015 14:24.
